Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network36.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
36.0.0.0
Broadcast address
37.255.255.255
First usable
36.0.0.1
Last usable
37.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 24000000 · Integer 603979776 to 637534207
Reverse DNS zones
36.in-addr.arpa
37.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100100.00000000.00000000.0000000036.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00100100.00000000.00000000.0000000036.0.0.0
Broadcast00100101.11111111.11111111.1111111137.255.255.255
Split into smaller subnets/17

36.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
136.0.0.0/1736.0.0.1 to 36.0.127.25436.0.127.25532,766
236.0.128.0/1736.0.128.1 to 36.0.255.25436.0.255.25532,766
336.1.0.0/1736.1.0.1 to 36.1.127.25436.1.127.25532,766
436.1.128.0/1736.1.128.1 to 36.1.255.25436.1.255.25532,766
536.2.0.0/1736.2.0.1 to 36.2.127.25436.2.127.25532,766
636.2.128.0/1736.2.128.1 to 36.2.255.25436.2.255.25532,766
736.3.0.0/1736.3.0.1 to 36.3.127.25436.3.127.25532,766
836.3.128.0/1736.3.128.1 to 36.3.255.25436.3.255.25532,766
936.4.0.0/1736.4.0.1 to 36.4.127.25436.4.127.25532,766
1036.4.128.0/1736.4.128.1 to 36.4.255.25436.4.255.25532,766
1136.5.0.0/1736.5.0.1 to 36.5.127.25436.5.127.25532,766
1236.5.128.0/1736.5.128.1 to 36.5.255.25436.5.255.25532,766
1336.6.0.0/1736.6.0.1 to 36.6.127.25436.6.127.25532,766
1436.6.128.0/1736.6.128.1 to 36.6.255.25436.6.255.25532,766
1536.7.0.0/1736.7.0.1 to 36.7.127.25436.7.127.25532,766
1636.7.128.0/1736.7.128.1 to 36.7.255.25436.7.255.25532,766
1736.8.0.0/1736.8.0.1 to 36.8.127.25436.8.127.25532,766
1836.8.128.0/1736.8.128.1 to 36.8.255.25436.8.255.25532,766
1936.9.0.0/1736.9.0.1 to 36.9.127.25436.9.127.25532,766
2036.9.128.0/1736.9.128.1 to 36.9.255.25436.9.255.25532,766
2136.10.0.0/1736.10.0.1 to 36.10.127.25436.10.127.25532,766
2236.10.128.0/1736.10.128.1 to 36.10.255.25436.10.255.25532,766
2336.11.0.0/1736.11.0.1 to 36.11.127.25436.11.127.25532,766
2436.11.128.0/1736.11.128.1 to 36.11.255.25436.11.255.25532,766
2536.12.0.0/1736.12.0.1 to 36.12.127.25436.12.127.25532,766
2636.12.128.0/1736.12.128.1 to 36.12.255.25436.12.255.25532,766
2736.13.0.0/1736.13.0.1 to 36.13.127.25436.13.127.25532,766
2836.13.128.0/1736.13.128.1 to 36.13.255.25436.13.255.25532,766
2936.14.0.0/1736.14.0.1 to 36.14.127.25436.14.127.25532,766
3036.14.128.0/1736.14.128.1 to 36.14.255.25436.14.255.25532,766
3136.15.0.0/1736.15.0.1 to 36.15.127.25436.15.127.25532,766
3236.15.128.0/1736.15.128.1 to 36.15.255.25436.15.255.25532,766
3336.16.0.0/1736.16.0.1 to 36.16.127.25436.16.127.25532,766
3436.16.128.0/1736.16.128.1 to 36.16.255.25436.16.255.25532,766
3536.17.0.0/1736.17.0.1 to 36.17.127.25436.17.127.25532,766
3636.17.128.0/1736.17.128.1 to 36.17.255.25436.17.255.25532,766
3736.18.0.0/1736.18.0.1 to 36.18.127.25436.18.127.25532,766
3836.18.128.0/1736.18.128.1 to 36.18.255.25436.18.255.25532,766
3936.19.0.0/1736.19.0.1 to 36.19.127.25436.19.127.25532,766
4036.19.128.0/1736.19.128.1 to 36.19.255.25436.19.255.25532,766
4136.20.0.0/1736.20.0.1 to 36.20.127.25436.20.127.25532,766
4236.20.128.0/1736.20.128.1 to 36.20.255.25436.20.255.25532,766
4336.21.0.0/1736.21.0.1 to 36.21.127.25436.21.127.25532,766
4436.21.128.0/1736.21.128.1 to 36.21.255.25436.21.255.25532,766
4536.22.0.0/1736.22.0.1 to 36.22.127.25436.22.127.25532,766
4636.22.128.0/1736.22.128.1 to 36.22.255.25436.22.255.25532,766
4736.23.0.0/1736.23.0.1 to 36.23.127.25436.23.127.25532,766
4836.23.128.0/1736.23.128.1 to 36.23.255.25436.23.255.25532,766
4936.24.0.0/1736.24.0.1 to 36.24.127.25436.24.127.25532,766
5036.24.128.0/1736.24.128.1 to 36.24.255.25436.24.255.25532,766
5136.25.0.0/1736.25.0.1 to 36.25.127.25436.25.127.25532,766
5236.25.128.0/1736.25.128.1 to 36.25.255.25436.25.255.25532,766
5336.26.0.0/1736.26.0.1 to 36.26.127.25436.26.127.25532,766
5436.26.128.0/1736.26.128.1 to 36.26.255.25436.26.255.25532,766
5536.27.0.0/1736.27.0.1 to 36.27.127.25436.27.127.25532,766
5636.27.128.0/1736.27.128.1 to 36.27.255.25436.27.255.25532,766
5736.28.0.0/1736.28.0.1 to 36.28.127.25436.28.127.25532,766
5836.28.128.0/1736.28.128.1 to 36.28.255.25436.28.255.25532,766
5936.29.0.0/1736.29.0.1 to 36.29.127.25436.29.127.25532,766
6036.29.128.0/1736.29.128.1 to 36.29.255.25436.29.255.25532,766
6136.30.0.0/1736.30.0.1 to 36.30.127.25436.30.127.25532,766
6236.30.128.0/1736.30.128.1 to 36.30.255.25436.30.255.25532,766
6336.31.0.0/1736.31.0.1 to 36.31.127.25436.31.127.25532,766
6436.31.128.0/1736.31.128.1 to 36.31.255.25436.31.255.25532,766
6536.32.0.0/1736.32.0.1 to 36.32.127.25436.32.127.25532,766
6636.32.128.0/1736.32.128.1 to 36.32.255.25436.32.255.25532,766
6736.33.0.0/1736.33.0.1 to 36.33.127.25436.33.127.25532,766
6836.33.128.0/1736.33.128.1 to 36.33.255.25436.33.255.25532,766
6936.34.0.0/1736.34.0.1 to 36.34.127.25436.34.127.25532,766
7036.34.128.0/1736.34.128.1 to 36.34.255.25436.34.255.25532,766
7136.35.0.0/1736.35.0.1 to 36.35.127.25436.35.127.25532,766
7236.35.128.0/1736.35.128.1 to 36.35.255.25436.35.255.25532,766
7336.36.0.0/1736.36.0.1 to 36.36.127.25436.36.127.25532,766
7436.36.128.0/1736.36.128.1 to 36.36.255.25436.36.255.25532,766
7536.37.0.0/1736.37.0.1 to 36.37.127.25436.37.127.25532,766
7636.37.128.0/1736.37.128.1 to 36.37.255.25436.37.255.25532,766
7736.38.0.0/1736.38.0.1 to 36.38.127.25436.38.127.25532,766
7836.38.128.0/1736.38.128.1 to 36.38.255.25436.38.255.25532,766
7936.39.0.0/1736.39.0.1 to 36.39.127.25436.39.127.25532,766
8036.39.128.0/1736.39.128.1 to 36.39.255.25436.39.255.25532,766
8136.40.0.0/1736.40.0.1 to 36.40.127.25436.40.127.25532,766
8236.40.128.0/1736.40.128.1 to 36.40.255.25436.40.255.25532,766
8336.41.0.0/1736.41.0.1 to 36.41.127.25436.41.127.25532,766
8436.41.128.0/1736.41.128.1 to 36.41.255.25436.41.255.25532,766
8536.42.0.0/1736.42.0.1 to 36.42.127.25436.42.127.25532,766
8636.42.128.0/1736.42.128.1 to 36.42.255.25436.42.255.25532,766
8736.43.0.0/1736.43.0.1 to 36.43.127.25436.43.127.25532,766
8836.43.128.0/1736.43.128.1 to 36.43.255.25436.43.255.25532,766
8936.44.0.0/1736.44.0.1 to 36.44.127.25436.44.127.25532,766
9036.44.128.0/1736.44.128.1 to 36.44.255.25436.44.255.25532,766
9136.45.0.0/1736.45.0.1 to 36.45.127.25436.45.127.25532,766
9236.45.128.0/1736.45.128.1 to 36.45.255.25436.45.255.25532,766
9336.46.0.0/1736.46.0.1 to 36.46.127.25436.46.127.25532,766
9436.46.128.0/1736.46.128.1 to 36.46.255.25436.46.255.25532,766
9536.47.0.0/1736.47.0.1 to 36.47.127.25436.47.127.25532,766
9636.47.128.0/1736.47.128.1 to 36.47.255.25436.47.255.25532,766
9736.48.0.0/1736.48.0.1 to 36.48.127.25436.48.127.25532,766
9836.48.128.0/1736.48.128.1 to 36.48.255.25436.48.255.25532,766
9936.49.0.0/1736.49.0.1 to 36.49.127.25436.49.127.25532,766
10036.49.128.0/1736.49.128.1 to 36.49.255.25436.49.255.25532,766
10136.50.0.0/1736.50.0.1 to 36.50.127.25436.50.127.25532,766
10236.50.128.0/1736.50.128.1 to 36.50.255.25436.50.255.25532,766
10336.51.0.0/1736.51.0.1 to 36.51.127.25436.51.127.25532,766
10436.51.128.0/1736.51.128.1 to 36.51.255.25436.51.255.25532,766
10536.52.0.0/1736.52.0.1 to 36.52.127.25436.52.127.25532,766
10636.52.128.0/1736.52.128.1 to 36.52.255.25436.52.255.25532,766
10736.53.0.0/1736.53.0.1 to 36.53.127.25436.53.127.25532,766
10836.53.128.0/1736.53.128.1 to 36.53.255.25436.53.255.25532,766
10936.54.0.0/1736.54.0.1 to 36.54.127.25436.54.127.25532,766
11036.54.128.0/1736.54.128.1 to 36.54.255.25436.54.255.25532,766
11136.55.0.0/1736.55.0.1 to 36.55.127.25436.55.127.25532,766
11236.55.128.0/1736.55.128.1 to 36.55.255.25436.55.255.25532,766
11336.56.0.0/1736.56.0.1 to 36.56.127.25436.56.127.25532,766
11436.56.128.0/1736.56.128.1 to 36.56.255.25436.56.255.25532,766
11536.57.0.0/1736.57.0.1 to 36.57.127.25436.57.127.25532,766
11636.57.128.0/1736.57.128.1 to 36.57.255.25436.57.255.25532,766
11736.58.0.0/1736.58.0.1 to 36.58.127.25436.58.127.25532,766
11836.58.128.0/1736.58.128.1 to 36.58.255.25436.58.255.25532,766
11936.59.0.0/1736.59.0.1 to 36.59.127.25436.59.127.25532,766
12036.59.128.0/1736.59.128.1 to 36.59.255.25436.59.255.25532,766
12136.60.0.0/1736.60.0.1 to 36.60.127.25436.60.127.25532,766
12236.60.128.0/1736.60.128.1 to 36.60.255.25436.60.255.25532,766
12336.61.0.0/1736.61.0.1 to 36.61.127.25436.61.127.25532,766
12436.61.128.0/1736.61.128.1 to 36.61.255.25436.61.255.25532,766
12536.62.0.0/1736.62.0.1 to 36.62.127.25436.62.127.25532,766
12636.62.128.0/1736.62.128.1 to 36.62.255.25436.62.255.25532,766
12736.63.0.0/1736.63.0.1 to 36.63.127.25436.63.127.25532,766
12836.63.128.0/1736.63.128.1 to 36.63.255.25436.63.255.25532,766
12936.64.0.0/1736.64.0.1 to 36.64.127.25436.64.127.25532,766
13036.64.128.0/1736.64.128.1 to 36.64.255.25436.64.255.25532,766
13136.65.0.0/1736.65.0.1 to 36.65.127.25436.65.127.25532,766
13236.65.128.0/1736.65.128.1 to 36.65.255.25436.65.255.25532,766
13336.66.0.0/1736.66.0.1 to 36.66.127.25436.66.127.25532,766
13436.66.128.0/1736.66.128.1 to 36.66.255.25436.66.255.25532,766
13536.67.0.0/1736.67.0.1 to 36.67.127.25436.67.127.25532,766
13636.67.128.0/1736.67.128.1 to 36.67.255.25436.67.255.25532,766
13736.68.0.0/1736.68.0.1 to 36.68.127.25436.68.127.25532,766
13836.68.128.0/1736.68.128.1 to 36.68.255.25436.68.255.25532,766
13936.69.0.0/1736.69.0.1 to 36.69.127.25436.69.127.25532,766
14036.69.128.0/1736.69.128.1 to 36.69.255.25436.69.255.25532,766
14136.70.0.0/1736.70.0.1 to 36.70.127.25436.70.127.25532,766
14236.70.128.0/1736.70.128.1 to 36.70.255.25436.70.255.25532,766
14336.71.0.0/1736.71.0.1 to 36.71.127.25436.71.127.25532,766
14436.71.128.0/1736.71.128.1 to 36.71.255.25436.71.255.25532,766
14536.72.0.0/1736.72.0.1 to 36.72.127.25436.72.127.25532,766
14636.72.128.0/1736.72.128.1 to 36.72.255.25436.72.255.25532,766
14736.73.0.0/1736.73.0.1 to 36.73.127.25436.73.127.25532,766
14836.73.128.0/1736.73.128.1 to 36.73.255.25436.73.255.25532,766
14936.74.0.0/1736.74.0.1 to 36.74.127.25436.74.127.25532,766
15036.74.128.0/1736.74.128.1 to 36.74.255.25436.74.255.25532,766
15136.75.0.0/1736.75.0.1 to 36.75.127.25436.75.127.25532,766
15236.75.128.0/1736.75.128.1 to 36.75.255.25436.75.255.25532,766
15336.76.0.0/1736.76.0.1 to 36.76.127.25436.76.127.25532,766
15436.76.128.0/1736.76.128.1 to 36.76.255.25436.76.255.25532,766
15536.77.0.0/1736.77.0.1 to 36.77.127.25436.77.127.25532,766
15636.77.128.0/1736.77.128.1 to 36.77.255.25436.77.255.25532,766
15736.78.0.0/1736.78.0.1 to 36.78.127.25436.78.127.25532,766
15836.78.128.0/1736.78.128.1 to 36.78.255.25436.78.255.25532,766
15936.79.0.0/1736.79.0.1 to 36.79.127.25436.79.127.25532,766
16036.79.128.0/1736.79.128.1 to 36.79.255.25436.79.255.25532,766
16136.80.0.0/1736.80.0.1 to 36.80.127.25436.80.127.25532,766
16236.80.128.0/1736.80.128.1 to 36.80.255.25436.80.255.25532,766
16336.81.0.0/1736.81.0.1 to 36.81.127.25436.81.127.25532,766
16436.81.128.0/1736.81.128.1 to 36.81.255.25436.81.255.25532,766
16536.82.0.0/1736.82.0.1 to 36.82.127.25436.82.127.25532,766
16636.82.128.0/1736.82.128.1 to 36.82.255.25436.82.255.25532,766
16736.83.0.0/1736.83.0.1 to 36.83.127.25436.83.127.25532,766
16836.83.128.0/1736.83.128.1 to 36.83.255.25436.83.255.25532,766
16936.84.0.0/1736.84.0.1 to 36.84.127.25436.84.127.25532,766
17036.84.128.0/1736.84.128.1 to 36.84.255.25436.84.255.25532,766
17136.85.0.0/1736.85.0.1 to 36.85.127.25436.85.127.25532,766
17236.85.128.0/1736.85.128.1 to 36.85.255.25436.85.255.25532,766
17336.86.0.0/1736.86.0.1 to 36.86.127.25436.86.127.25532,766
17436.86.128.0/1736.86.128.1 to 36.86.255.25436.86.255.25532,766
17536.87.0.0/1736.87.0.1 to 36.87.127.25436.87.127.25532,766
17636.87.128.0/1736.87.128.1 to 36.87.255.25436.87.255.25532,766
17736.88.0.0/1736.88.0.1 to 36.88.127.25436.88.127.25532,766
17836.88.128.0/1736.88.128.1 to 36.88.255.25436.88.255.25532,766
17936.89.0.0/1736.89.0.1 to 36.89.127.25436.89.127.25532,766
18036.89.128.0/1736.89.128.1 to 36.89.255.25436.89.255.25532,766
18136.90.0.0/1736.90.0.1 to 36.90.127.25436.90.127.25532,766
18236.90.128.0/1736.90.128.1 to 36.90.255.25436.90.255.25532,766
18336.91.0.0/1736.91.0.1 to 36.91.127.25436.91.127.25532,766
18436.91.128.0/1736.91.128.1 to 36.91.255.25436.91.255.25532,766
18536.92.0.0/1736.92.0.1 to 36.92.127.25436.92.127.25532,766
18636.92.128.0/1736.92.128.1 to 36.92.255.25436.92.255.25532,766
18736.93.0.0/1736.93.0.1 to 36.93.127.25436.93.127.25532,766
18836.93.128.0/1736.93.128.1 to 36.93.255.25436.93.255.25532,766
18936.94.0.0/1736.94.0.1 to 36.94.127.25436.94.127.25532,766
19036.94.128.0/1736.94.128.1 to 36.94.255.25436.94.255.25532,766
19136.95.0.0/1736.95.0.1 to 36.95.127.25436.95.127.25532,766
19236.95.128.0/1736.95.128.1 to 36.95.255.25436.95.255.25532,766
19336.96.0.0/1736.96.0.1 to 36.96.127.25436.96.127.25532,766
19436.96.128.0/1736.96.128.1 to 36.96.255.25436.96.255.25532,766
19536.97.0.0/1736.97.0.1 to 36.97.127.25436.97.127.25532,766
19636.97.128.0/1736.97.128.1 to 36.97.255.25436.97.255.25532,766
19736.98.0.0/1736.98.0.1 to 36.98.127.25436.98.127.25532,766
19836.98.128.0/1736.98.128.1 to 36.98.255.25436.98.255.25532,766
19936.99.0.0/1736.99.0.1 to 36.99.127.25436.99.127.25532,766
20036.99.128.0/1736.99.128.1 to 36.99.255.25436.99.255.25532,766
20136.100.0.0/1736.100.0.1 to 36.100.127.25436.100.127.25532,766
20236.100.128.0/1736.100.128.1 to 36.100.255.25436.100.255.25532,766
20336.101.0.0/1736.101.0.1 to 36.101.127.25436.101.127.25532,766
20436.101.128.0/1736.101.128.1 to 36.101.255.25436.101.255.25532,766
20536.102.0.0/1736.102.0.1 to 36.102.127.25436.102.127.25532,766
20636.102.128.0/1736.102.128.1 to 36.102.255.25436.102.255.25532,766
20736.103.0.0/1736.103.0.1 to 36.103.127.25436.103.127.25532,766
20836.103.128.0/1736.103.128.1 to 36.103.255.25436.103.255.25532,766
20936.104.0.0/1736.104.0.1 to 36.104.127.25436.104.127.25532,766
21036.104.128.0/1736.104.128.1 to 36.104.255.25436.104.255.25532,766
21136.105.0.0/1736.105.0.1 to 36.105.127.25436.105.127.25532,766
21236.105.128.0/1736.105.128.1 to 36.105.255.25436.105.255.25532,766
21336.106.0.0/1736.106.0.1 to 36.106.127.25436.106.127.25532,766
21436.106.128.0/1736.106.128.1 to 36.106.255.25436.106.255.25532,766
21536.107.0.0/1736.107.0.1 to 36.107.127.25436.107.127.25532,766
21636.107.128.0/1736.107.128.1 to 36.107.255.25436.107.255.25532,766
21736.108.0.0/1736.108.0.1 to 36.108.127.25436.108.127.25532,766
21836.108.128.0/1736.108.128.1 to 36.108.255.25436.108.255.25532,766
21936.109.0.0/1736.109.0.1 to 36.109.127.25436.109.127.25532,766
22036.109.128.0/1736.109.128.1 to 36.109.255.25436.109.255.25532,766
22136.110.0.0/1736.110.0.1 to 36.110.127.25436.110.127.25532,766
22236.110.128.0/1736.110.128.1 to 36.110.255.25436.110.255.25532,766
22336.111.0.0/1736.111.0.1 to 36.111.127.25436.111.127.25532,766
22436.111.128.0/1736.111.128.1 to 36.111.255.25436.111.255.25532,766
22536.112.0.0/1736.112.0.1 to 36.112.127.25436.112.127.25532,766
22636.112.128.0/1736.112.128.1 to 36.112.255.25436.112.255.25532,766
22736.113.0.0/1736.113.0.1 to 36.113.127.25436.113.127.25532,766
22836.113.128.0/1736.113.128.1 to 36.113.255.25436.113.255.25532,766
22936.114.0.0/1736.114.0.1 to 36.114.127.25436.114.127.25532,766
23036.114.128.0/1736.114.128.1 to 36.114.255.25436.114.255.25532,766
23136.115.0.0/1736.115.0.1 to 36.115.127.25436.115.127.25532,766
23236.115.128.0/1736.115.128.1 to 36.115.255.25436.115.255.25532,766
23336.116.0.0/1736.116.0.1 to 36.116.127.25436.116.127.25532,766
23436.116.128.0/1736.116.128.1 to 36.116.255.25436.116.255.25532,766
23536.117.0.0/1736.117.0.1 to 36.117.127.25436.117.127.25532,766
23636.117.128.0/1736.117.128.1 to 36.117.255.25436.117.255.25532,766
23736.118.0.0/1736.118.0.1 to 36.118.127.25436.118.127.25532,766
23836.118.128.0/1736.118.128.1 to 36.118.255.25436.118.255.25532,766
23936.119.0.0/1736.119.0.1 to 36.119.127.25436.119.127.25532,766
24036.119.128.0/1736.119.128.1 to 36.119.255.25436.119.255.25532,766
24136.120.0.0/1736.120.0.1 to 36.120.127.25436.120.127.25532,766
24236.120.128.0/1736.120.128.1 to 36.120.255.25436.120.255.25532,766
24336.121.0.0/1736.121.0.1 to 36.121.127.25436.121.127.25532,766
24436.121.128.0/1736.121.128.1 to 36.121.255.25436.121.255.25532,766
24536.122.0.0/1736.122.0.1 to 36.122.127.25436.122.127.25532,766
24636.122.128.0/1736.122.128.1 to 36.122.255.25436.122.255.25532,766
24736.123.0.0/1736.123.0.1 to 36.123.127.25436.123.127.25532,766
24836.123.128.0/1736.123.128.1 to 36.123.255.25436.123.255.25532,766
24936.124.0.0/1736.124.0.1 to 36.124.127.25436.124.127.25532,766
25036.124.128.0/1736.124.128.1 to 36.124.255.25436.124.255.25532,766
25136.125.0.0/1736.125.0.1 to 36.125.127.25436.125.127.25532,766
25236.125.128.0/1736.125.128.1 to 36.125.255.25436.125.255.25532,766
25336.126.0.0/1736.126.0.1 to 36.126.127.25436.126.127.25532,766
25436.126.128.0/1736.126.128.1 to 36.126.255.25436.126.255.25532,766
25536.127.0.0/1736.127.0.1 to 36.127.127.25436.127.127.25532,766
25636.127.128.0/1736.127.128.1 to 36.127.255.25436.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses